// src/app/pages/expert-lectures/expert-lectures.page.ts
import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router'; // 导入 Router

@Component({
  selector: 'app-expert-lectures',
  templateUrl: './expert-lectures.page.html',
  styleUrls: ['./expert-lectures.page.scss'],
})
export class ExpertLecturesPage implements OnInit {
  lectures = [
    {
      title: '心血管疾病的预防与治疗',
      speaker: '李教授',
      date: '2024-12-25',
      description: '了解如何通过生活方式改变和医学干预来预防心血管疾病...',
      imageUrl: '../assets/images/ill1.jpg' // 确保图片路径正确
    },
    {
      title: '糖尿病管理的新进展',
      speaker: '王博士',
      date: '2024-12-30',
      description: '探讨最新的糖尿病管理技术和方法，帮助患者更好地控制病情...',
      imageUrl: '../assets/images/ill2.jpg' // 确保图片路径正确
    },
    {
      title: '心理健康的重要性',
      speaker: '张心理学家',
      date: '2024-12-27',
      description: '心理健康对整体健康的影响及日常维护的方法...',
      imageUrl: '../assets/images/ill3.jpg' // 确保图片路径正确
    },
    {
      title: '癌症早期筛查的意义',
      speaker: '赵医生',
      date: '2024-12-28',
      description: '介绍癌症早期筛查的重要性和常用方法...',
      imageUrl: '../assets/images/ill4.jpg' // 确保图片路径正确
    },
    {
      title: '营养与免疫系统的关系',
      speaker: '孙营养师',
      date: '2024-12-29',
      description: '探讨营养在增强免疫系统中的作用及合理膳食建议...',
      imageUrl: '../assets/images/ill5.jpg' // 确保图片路径正确
    },
    // 添加更多讲座...
  ];

  constructor(private router: Router) {} // 注入 Router

  ngOnInit() {}

  // // 定义 goToDetail 方法
  // goToDetail(lecture: any) {
  //   // 这里可以根据需要调整路由参数
  //   this.router.navigate(['/expert-lecture-detail', lecture.title]);
  // }
}