import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { HealthRecordPage } from './health-record.page';


const routes: Routes = [
  {
    path: '',
    component: HealthRecordPage
  },
  {
    path: 'annual-checkup',
    loadChildren: () => import('../annual-checkup/annual-checkup.module').then( m => m.AnnualCheckupPageModule)
  }

];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class HealthRecordPageRoutingModule {}
