import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { HealthRecordPage } from './health-record.page';
import { GenderPipe } from '../pipes/gender.pipe'; // 确保路径正确

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild([
      {
        path: '',
        component: HealthRecordPage
      }
    ])
  ],
  declarations: [HealthRecordPage, GenderPipe] // 声明管道
})
export class HealthRecordPageModule {}